Skip to content
Start here

List Zaraz historical configuration records

client.Zaraz.History.List(ctx, params) (*SinglePage[HistoryListResponse], error)
GET/zones/{zone_id}/settings/zaraz/history

Lists a history of published Zaraz configuration records for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zaraz EditZaraz ReadZaraz Admin
ParametersExpand Collapse
params HistoryListParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Limit param.Field[int64]optional

Query param: Maximum amount of results to list. Default value is 10.

minimum1
Offset param.Field[int64]optional

Query param: Ordinal number to start listing the results with. Default value is 0.

minimum0
SortField param.Field[HistoryListParamsSortField]optional

Query param: The field to sort by. Default is updated_at.

const HistoryListParamsSortFieldID HistoryListParamsSortField = "id"
const HistoryListParamsSortFieldUserID HistoryListParamsSortField = "user_id"
const HistoryListParamsSortFieldDescription HistoryListParamsSortField = "description"
const HistoryListParamsSortFieldCreatedAt HistoryListParamsSortField = "created_at"
const HistoryListParamsSortFieldUpdatedAt HistoryListParamsSortField = "updated_at"
SortOrder param.Field[HistoryListParamsSortOrder]optional

Query param: Sorting order. Default is DESC.

const HistoryListParamsSortOrderDesc HistoryListParamsSortOrder = "DESC"
const HistoryListParamsSortOrderAsc HistoryListParamsSortOrder = "ASC"
ReturnsExpand Collapse
type HistoryListResponse struct{…}
ID int64

ID of the configuration.

CreatedAt Time

Date and time the configuration was created.

formatdate-time
Description string

Configuration description provided by the user who published this configuration.

UpdatedAt Time

Date and time the configuration was last updated.

formatdate-time
UserID string

Alpha-numeric ID of the account user who published the configuration.

List Zaraz historical configuration records

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zaraz"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Zaraz.History.List(context.TODO(), zaraz.HistoryListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "createdAt": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ],
  "success": true
}